Bug 22498 - Can not select any funds for invoice adjustments
Summary: Can not select any funds for invoice adjustments
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 14850
Blocks: 22296
  Show dependency treegraph
 
Reported: 2019-03-12 13:14 UTC by Nick Clemens
Modified: 2019-05-27 12:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22498: Rename variable for budgets loop for invoice adjustments (3.07 KB, patch)
2019-03-12 13:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22498: Rename variable for budgets loop for invoice adjustments (3.18 KB, patch)
2019-03-12 17:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22498: Rename variable for budgets loop for invoice adjustments (3.24 KB, patch)
2019-03-13 11:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22498: Rename variable for budgets loop for invoice adjustments (3.30 KB, patch)
2019-03-14 10:28 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-03-12 13:14:55 UTC
Bug 14850 renamed budgets_loop to budgets but did not update the variables for invoice adjustments
Comment 1 Nick Clemens 2019-03-12 13:26:18 UTC
Created attachment 86531 [details] [review]
Bug 22498: Rename variable for budgets loop for invoice adjustments

To test:
1 - Try to add some adjustments to an invoice (receive shipments, create invoice, click 'finish receiving')
2 - Note the fund dropdown has only 'No fund'
3 - Apply patch
4 - Refresh page
5 - Note you can now select funds, hooray!
Comment 2 Nick Clemens 2019-03-12 17:03:17 UTC
Created attachment 86546 [details] [review]
Bug 22498: Rename variable for budgets loop for invoice adjustments

To test:
1 - Try to add some adjustments to an invoice (receive shipments, create invoice, click 'finish receiving')
2 - Note the fund dropdown has only 'No fund'
3 - Apply patch
4 - Refresh page
5 - Note you can now select funds, hooray!
Comment 3 Martin Renvoize 2019-03-13 11:23:27 UTC
Created attachment 86567 [details] [review]
Bug 22498: Rename variable for budgets loop for invoice adjustments

To test:
1 - Try to add some adjustments to an invoice (receive shipments, create invoice, click 'finish receiving')
2 - Note the fund dropdown has only 'No fund'
3 - Apply patch
4 - Refresh page
5 - Note you can now select funds, hooray!

Signed-off-by: Janet McGowan <janet.mcgowan@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-03-13 11:24:44 UTC
Just doing the honours of uploading Janets signed patch for her.. sandboxes don't like signing of dependants.
Comment 5 Josef Moravec 2019-03-14 10:28:49 UTC
Created attachment 86595 [details] [review]
Bug 22498: Rename variable for budgets loop for invoice adjustments

To test:
1 - Try to add some adjustments to an invoice (receive shipments, create invoice, click 'finish receiving')
2 - Note the fund dropdown has only 'No fund'
3 - Apply patch
4 - Refresh page
5 - Note you can now select funds, hooray!

Signed-off-by: Janet McGowan <janet.mcgowan@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-03-15 12:50:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-03-19 09:30:35 UTC
Pushed to 18.11.x for 18.11.04
Comment 8 Lucas Gass 2019-03-19 22:56:00 UTC
18.05.x is missing 14850 dependency. won't backport